Bug 6218 - [UPDATE REQUEST] firefox, firefox-l10n, sqlite3
: [UPDATE REQUEST] firefox, firefox-l10n, sqlite3
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 6202
Blocks: 6205
  Show dependency treegraph
 
Reported: 2015-09-24 22:36 MSD by Arkady L. Shane
Modified: 2015-10-05 23:12 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Vladimir Potapov 2015-09-25 06:14:43 MSD
Аfter the update Localization break.
Comment 2 Vladimir Potapov 2015-09-25 07:35:00 MSD
crash on work with youtube

WARNING: content window passed to PrivateBrowsingUtils.isWindowPrivate. Use isContentWindowPrivate instead (but only for frame scripts).
pbu_isWindowPrivate@resource://gre/modules/PrivateBrowsingUtils.jsm:25:14
nsBrowserAccess.prototype.openURI@chrome://browser/content/browser.js:15845:21
onDocumentClick@http://vk.com/js/al/common.js?1127_168:2278:7
_eventHandle@http://vk.com/js/al/common.js?1127_168:1602:15
addEvent/handle<@http://vk.com/js/al/common.js?1127_168:1498:9
Vector smash protection is enabled.
[NPAPI 20977] ###!!! ABORT: Aborting on channel error.: file /builddir/build/BUILD/mozilla-release/ipc/glue/MessageChannel.cpp, line 1753
[NPAPI 20977] ###!!! ABORT: Aborting on channel error.: file /builddir/build/BUILD/mozilla-release/ipc/glue/MessageChannel.cpp, line 1753
Ошибка сегментирования (слепок снят)
keleg@DNS-R6-X64 ~ $
Comment 3 Vladimir Potapov 2015-09-25 08:51:51 MSD
youtube+vk

** (firefox:23909): CRITICAL **: gst_app_src_set_size: assertion 'GST_IS_APP_SRC (appsrc)' failed

** (firefox:23909): CRITICAL **: gst_app_src_set_size: assertion 'GST_IS_APP_SRC (appsrc)' failed
Vector smash protection is enabled.
WARNING: content window passed to PrivateBrowsingUtils.isWindowPrivate. Use isContentWindowPrivate instead (but only for frame scripts).
pbu_isWindowPrivate@resource://gre/modules/PrivateBrowsingUtils.jsm:25:14
nsBrowserAccess.prototype.openURI@chrome://browser/content/browser.js:15845:21
Fz@https://s.ytimg.com/yts/jsbin/html5player-new-ru_RU-vflwXEVeJ/html5player-new.js:477:559
Iz@https://s.ytimg.com/yts/jsbin/html5player-new-ru_RU-vflwXEVeJ/html5player-new.js:477:953
h$.prototype.C@https://s.ytimg.com/yts/jsbin/html5player-new-ru_RU-vflwXEVeJ/html5player-new.js:1863:315
[NPAPI 5337] ###!!! ABORT: Aborting on channel error.: file /builddir/build/BUILD/mozilla-release/ipc/glue/MessageChannel.cpp, line 1753
[NPAPI 5337] ###!!! ABORT: Aborting on channel error.: file /builddir/build/BUILD/mozilla-release/ipc/glue/MessageChannel.cpp, line 1753
Ошибка сегментирования (слепок снят)
Comment 4 Vladimir Potapov 2015-09-25 10:28:29 MSD
fix for th issue in 
https://bugzilla.mozilla.org/show_bug.cgi?id=1187406
Comment 5 Arkady L. Shane 2015-09-28 14:32:51 MSD
Ok. New version with GTK3 support (and with disabled kde patches what broke compilation with gtk3).

Also Fixed localization support.

firefox
=======
https://abf.rosalinux.ru/build_lists/2576716
https://abf.rosalinux.ru/build_lists/2576717

firefox-l10n
============
https://abf.rosalinux.ru/build_lists/2576712
https://abf.rosalinux.ru/build_lists/2576713
Comment 6 Vladimir Potapov 2015-09-29 20:28:27 MSD
If I open folder "downloads" from FF, opened filelight (Oo!)
Comment 7 Vladimir Potapov 2015-09-30 18:29:29 MSD
Отключается через некоторое время прокрутка колесиком мыши.
Восстанавливается после переоткрытия firefox
Comment 8 Vladimir Potapov 2015-10-01 11:16:48 MSD
похоже, это проблема апстрима. см. https://github.com/alvarotrigo/fullPage.js/issues/1534
Comment 9 Vladimir Potapov 2015-10-01 11:37:44 MSD
Баг с открытием filelight вместо дельфина решается прописыванием в
/usr/share/applications/default.list 
inode/directory=dolphin.desktop
вместо наутилуса, который там сейчас стоит.
Comment 10 Denis Silakov 2015-10-01 11:40:13 MSD
А если там прописать "inode/directory=dolphin.desktop;nautilus.desktop" - нормально будет? Если просто заменить, то в гноме может что-то поломаться.
Comment 11 Vladimir Potapov 2015-10-01 14:32:07 MSD
(In reply to comment #10)
> А если там прописать "inode/directory=dolphin.desktop;nautilus.desktop" -
> нормально будет? Если просто заменить, то в гноме может что-то поломаться.
по идее, конечно, этот файлик для разных DE должен быть разным.
Comment 12 Denis Silakov 2015-10-01 14:43:19 MSD
Может и должен, но для KDE этот файл вообще не актуален (и если внимательно посмотреть, то в нем KDE программы вообще практически не прописаны). В KDE есть более продвинутый способ расставлять ассоциации с приоритетами и при этом не спихивать их все в один здоровый файл. Например, в /usr/share/applications/kde4/dolphin.desktop прописано:

MimeType=inode/directory;

и для KDE-приложений этого достаточно, чтобы открывать директории в Dolphin. А в данном конкретном случае FF не использует механизмы KDE, поэтому и выходит облом.
Comment 13 Vladimir Potapov 2015-10-01 15:33:36 MSD
(In reply to comment #12)
> Может и должен, но для KDE этот файл вообще не актуален (и если внимательно
> посмотреть, то в нем KDE программы вообще практически не прописаны). В KDE
> есть более продвинутый способ расставлять ассоциации с приоритетами и при
> этом не спихивать их все в один здоровый файл. Например, в
> /usr/share/applications/kde4/dolphin.desktop прописано:
> 
> MimeType=inode/directory;
> 
> и для KDE-приложений этого достаточно, чтобы открывать директории в Dolphin.
> А в данном конкретном случае FF не использует механизмы KDE, поэтому и
> выходит облом.
Вопрос в том, что не все приложения являются KDE-приложениями.
Comment 14 Denis Silakov 2015-10-01 15:42:49 MSD
(In reply to comment #13)
> (In reply to comment #12)
> > Может и должен, но для KDE этот файл вообще не актуален (и если внимательно
> > посмотреть, то в нем KDE программы вообще практически не прописаны). В KDE
> > есть более продвинутый способ расставлять ассоциации с приоритетами и при
> > этом не спихивать их все в один здоровый файл. Например, в
> > /usr/share/applications/kde4/dolphin.desktop прописано:
> > 
> > MimeType=inode/directory;
> > 
> > и для KDE-приложений этого достаточно, чтобы открывать директории в Dolphin.
> > А в данном конкретном случае FF не использует механизмы KDE, поэтому и
> > выходит облом.
> Вопрос в том, что не все приложения являются KDE-приложениями.

Все приложения, входящие в нашу стандартную поставку KDE, ведут себя хорошо. Если ты ставишь дополнительно что-то не-KDE - то вполне логично, что оно вытеснит собой аналоги, имевшиеся до него в штатной поставке.
Comment 15 Vladimir Potapov 2015-10-01 16:45:01 MSD
(In reply to comment #10)
> А если там прописать "inode/directory=dolphin.desktop;nautilus.desktop" -
> нормально будет? Если просто заменить, то в гноме может что-то поломаться.
Проверил, если так написать - 41 огнелис и в гноме, и в KDE правильно открывает соответствующего файлового приказчика
Comment 17 Vladimir Potapov 2015-10-02 12:44:42 MSD
The update is sent to expanded testing
**************************************
Comment 18 Vladimir Potapov 2015-10-03 09:16:31 MSD
Mouse wheel work with errors.
It looks like a GTK bug
https://bugs.kde.org/show_bug.cgi?id=348270
Comment 20 Vladimir Potapov 2015-10-04 10:14:30 MSD
The update is sent to expanded testing
**************************************
Comment 21 Vladimir Potapov 2015-10-05 19:53:05 MSD
firefox-41.0.1-1
https://abf.rosalinux.ru/build_lists/2577906
https://abf.rosalinux.ru/build_lists/2577907

firefox-l10n-41.0.1-1
https://abf.rosalinux.ru/build_lists/2577910
https://abf.rosalinux.ru/build_lists/2577911

sqlite-3.8.11.1-1
https://abf.rosalinux.ru/build_lists/2575787
https://abf.rosalinux.ru/build_lists/2575788

gtk+3.0-3.12.2-9
https://abf.rosalinux.ru/build_lists/2582107
https://abf.rosalinux.ru/build_lists/2582106
**************************** Advisory ******************************

Update firefox to 41.0.1, sqlite to 3.8.11, gtk+ fix mouse scroll
*******************************************************************
QA Verified